package cz.muni.sutralog.database

import androidx.room.Entity
import androidx.room.PrimaryKey
import java.time.LocalDate

@Entity
class RockEntity(
    @PrimaryKey
    val id: Long,
    val folderPath: String,
    var categoryId: Long,

    var name: String,
    var count: Number,
    var locality: String,
    var latitude: Double,
    var longitude: Double,
    var from: String,
    var date: LocalDate,
    var where: String,
    var description: String,
    var comment: String,
    var color: String
)