package cz.muni.sutralog.repository

import cz.muni.sutralog.data.CategoryPresentableListItem

class CategoryRepository {

    fun getMockedData(count: Int = 9): List<CategoryPresentableListItem> =
        mutableListOf<CategoryPresentableListItem>().apply {
            repeat(count) {
                val item = CategoryPresentableListItem(
                    id = it.toLong(),
                    name = "$it",
                    color = "#e2e2e2"
                )
                add(item)
            }
        }
}