package cz.muni.sutralog.repository

import android.annotation.SuppressLint
import cz.muni.sutralog.data.RockPresentableListItem
import java.time.LocalDate

class RockRepository {

    fun getMockedData(count: Int = 9): List<RockPresentableListItem> =
        mutableListOf<RockPresentableListItem>().apply {
            repeat(count) {
                val item = RockPresentableListItem(
                    id = it.toLong(),
                    name = "$it",
                    color = "#e2e2e2",
                    categoryId = 1,
                    comment = "commeeeeeeeent",
                    count = 2,
                    date = LocalDate.of(2020,10,10),
                    description = "descriptiooooooon",
                    folderPath = "some/path/probably/with/rock/id",
                    from = "from wherever",
                    latitude = 55.55555,
                    longitude = 44.4444,
                    locality = "locaaaalityyyy",
                    where = "somewhere"
                )
                add(item)
            }
        }

}