package cz.muni.sutralog.ui.detail

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import cz.muni.sutralog.databinding.RockDetailBinding
import cz.muni.sutralog.repository.CategoryRepository
import cz.muni.sutralog.repository.RockRepository

class RockDetailFragment : Fragment() {

    private lateinit var binding: RockDetailBinding

    private val rockRepository: RockRepository by lazy {
        RockRepository()
    }
    private val categoryRepository: CategoryRepository by lazy {
        CategoryRepository()
    }

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View {
        binding = RockDetailBinding.inflate(layoutInflater, container, false)
        return binding.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
    }
}